summaryrefslogtreecommitdiffstats
path: root/testfiles/cli_tests/identify.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:24:48 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-07 18:24:48 +0000
commitcca66b9ec4e494c1d919bff0f71a820d8afab1fa (patch)
tree146f39ded1c938019e1ed42d30923c2ac9e86789 /testfiles/cli_tests/identify.sh
parentInitial commit. (diff)
downloadinkscape-cca66b9ec4e494c1d919bff0f71a820d8afab1fa.tar.xz
inkscape-cca66b9ec4e494c1d919bff0f71a820d8afab1fa.zip
Adding upstream version 1.2.2.upstream/1.2.2upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'testfiles/cli_tests/identify.sh')
-rw-r--r--testfiles/cli_tests/identify.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/testfiles/cli_tests/identify.sh b/testfiles/cli_tests/identify.sh
new file mode 100644
index 0000000..57bacb7
--- /dev/null
+++ b/testfiles/cli_tests/identify.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0-or-later
+
+file1=$1
+PATTERN='$2'
+
+test -f "${file1}" || { echo "identify.sh: File '${file1}' not found."; exit 1; }
+if ! $(identify "${file1}" | grep -q -e ${PATTERN} - ); then
+ echo "expected $2 but got" `identify "${file1}"`
+ exit 1
+fi